services:
  homepage:
    environment:
      PUID: "${HOST_UID}"
      PGID: "${HOST_GID}"
      # RUNTIPI Environment
      RUNTIPI_APP_PORT: "${APP_PORT}"
      RUNTIPI_APP_ID: "${APP_ID}"
      RUNTIPI_APP_DATA_DIR: "${APP_DATA_DIR}"
      RUNTIPI_APP_EXPOSED: "${APP_EXPOSED:-}"
      RUNTIPI_APP_DOMAIN: "${APP_DOMAIN}"
      RUNTIPI_APP_HOST: "${APP_HOST}"
      RUNTIPI_LOCAL_DOMAIN: "${LOCAL_DOMAIN}"
      RUNTIPI_DOMAIN: "${DOMAIN}"
      RUNTIPI_ROOT_DOMAIN: "${ROOT_DOMAIN}"

    labels:
    # Websecure
      traefik.http.routers.homepage.middlewares: authentik_sysmgr@file
      traefik.http.routers.homepage.rule: Host(`www.${ROOT_DOMAIN}`)${APP_ROUTE_OPTIONAL:-}
      # #traefik.http.routers.homepage-more.rule: Host(`www.${ALT_ROOT_DOMAIN}`)
      # traefik.http.routers.homepage-more.entrypoints: websecure
      # traefik.http.routers.homepage-more.service: homepage
      # traefik.http.routers.homepage-more.middlewares: authentik_sysmgr@file
      # traefik.http.routers.homepage-more.tls.certresolver: myresolver